Bug 982560 - install.pl --managed-db accepts invalid inputs
install.pl --managed-db accepts invalid inputs
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Installer (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Matej Kollar
Dimitar Yordanov
Depends On:
Blocks: sat570-lowbug
  Show dependency treegraph
Reported: 2013-07-09 05:56 EDT by Matej Kollar
Modified: 2015-01-13 04:54 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-01-13 04:54:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2013-07-09 05:56:13 EDT
Description of problem:

  No validation is performed on bind adress and accept range. Values
  are just written into postgre config, resulting in failure during
  postgre start.

Version-Release number of selected component (if applicable):

How reproducible: always/deterministic

Steps to Reproduce:
1. install.pl --managed-db
2. when asked about network related stuff, just go ahead and type some nonsense there
3. continue in process as usual

Actual results:
  Obviously wrong data is accepted and passed to config,
  starting postgre fails.

Expected results:
  Data are re-requested in case they are obviously wrong.

Additional info:
  Sanity checking should take into account both IPv4 and IPv6 addresses.
  Also bind-address might be checked against available interfaces...
Comment 2 Matej Kollar 2013-08-01 08:14:19 EDT
commit 994dad50270bd3db8d4abee482b782a9a1e14696 Spacewalk
Comment 7 Matej Kollar 2013-09-11 07:42:40 EDT
spacewalk.git 75b53687ee82bdbe09f0fbea32f8beead098b5b7
Comment 11 Clifford Perry 2015-01-13 04:54:53 EST
With the release of Red Hat Satellite 5.7 on January 12th 2015 this bug is
being moved to a Closed Current Release state. 

The Satellite 5.7 GA Errata:
 - https://rhn.redhat.com/errata/RHSA-2015-0033.html 

Satellite 5.7 Release Notes:

Satellite Customer Portal Blog announcement for release:
 - https://access.redhat.com/blogs/1169563/posts/1315743 


Note You need to log in before you can comment on or make changes to this bug.